Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 27 Mar 2022 06:33:35 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I made a request on 14 and till date i have not received my order.. i called the call center 4 times and they just telling me to wait and i will receive my order,, at the end of the day i am receiving sms regarding my delivery on 15 I received sms mentioning no response from customer however i didn’t receive any call from the delivery agent, on 16 I received sms saying future date delivery,, today is 17 and still i am waiting for the delivery,, the call center agents only apologizing to me for the delay and no one of them benefited me or solved my issue. My order only paid, despite having complaint record in your system no one even tried reaching my to solve the issue. I am so disappointed,, i am an old center point customer https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4041325